/* --------------------------------------------------------
 Generated by Gunandi using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Gunandi (andri.gunandi1@gmail.com) 
 Date Created : 17/01/2019
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import  javax.validation.constraints.*;
import   javax.validation.constraints.Max;
import   javax.validation.constraints.Min;
import   javax.validation.constraints.NotNull;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.*;

import  javax.persistence.*;
import  lombok.AllArgsConstructor;
import  lombok.Getter;
import  lombok.NoArgsConstructor;
import  lombok.Setter;
import  lombok.EqualsAndHashCode;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class DokumenId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdProfile =INTEGER;
    @Column(name = "KdProfile",   columnDefinition = cDefKdProfile)
    @NotNull(message = "dokumenid.kdprofile.notnull")
    private Integer kdProfile;
    
    private static final String cDefKdDokumen =INTEGER;
    @Column(name = "KdDokumen",   columnDefinition = cDefKdDokumen)
    @NotNull(message = "dokumenid.kddokumen.notnull")
    private Integer kdDokumen;
    
    

}
